Debian Bug report logs - #673739
tntnet: Missing header include causes FTBFS on non-amd64 archs with gcc-4.7

version graph

Package: tntnet; Maintainer for tntnet is Kari Pahula <kaol@debian.org>; Source for tntnet is src:tntnet.

Reported by: Micah Gersten <micahg@ubuntu.com>

Date: Mon, 21 May 2012 06:33:01 UTC

Severity: serious

Tags: patch

Found in version tntnet/2.1-1

Fixed in version tntnet/2.1-2

Done: Kari Pahula <kaol@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, micahg@ubuntu.com, Kari Pahula <kaol@debian.org>:
Bug#673739; Package tntnet. (Mon, 21 May 2012 06:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Gersten <micahg@ubuntu.com>:
New Bug report received and forwarded. Copy sent to micahg@ubuntu.com, Kari Pahula <kaol@debian.org>. (Mon, 21 May 2012 06:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micah Gersten <micahg@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tntnet: Missing header include causes FTBFS on non-amd64 archs with gcc-4.7
Date: Mon, 21 May 2012 01:28:41 -0500
[Message part 1 (text/plain, inline)]
Package: tntnet
Version: 2.1-1
Severity: serious
Tags: patch
Justification: fails to build from source (but built successfully in the past)
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu quantal ubuntu-patch

Log snippet:
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../framework/common -I../../framework/common -D_FORTIFY_SOURCE=2 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -Wno-long-long -c static.cpp  -fPIC -DPIC -o .libs/tntnet_la-static.o
static.cpp: In destructor 'tnt::{anonymous}::Fdfile::~Fdfile()':
static.cpp:196:13: error: '::close' has not been declared
make[2]: *** [tntnet_la-static.lo] Error 1

Full build log attached

*** /tmp/tmpT1SWuT/bug_body
In Ubuntu, the attached patch was applied to achieve the following:


  * Add missing header to fix FTBFS with gcc4.7 on non-amd64 archs 


Thanks for considering the patch.


-- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise-proposed'), (500, 'precise'), (100, 'precise-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-24-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[tntnet_2.1-1ubuntu1.debdiff (text/x-diff, attachment)]
[tntnet_2.1-1-i386-20120521-0123 (text/plain, attachment)]

Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Sat, 26 May 2012 10:36:26 GMT) Full text and rfc822 format available.

Notification sent to Micah Gersten <micahg@ubuntu.com>:
Bug acknowledged by developer. (Sat, 26 May 2012 10:36:32 GMT) Full text and rfc822 format available.

Message #10 received at 673739-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 673739-close@bugs.debian.org
Subject: Bug#673739: fixed in tntnet 2.1-2
Date: Sat, 26 May 2012 10:34:36 +0000
Source: tntnet
Source-Version: 2.1-2

We believe that the bug you reported is fixed in the latest version of
tntnet, which is due to be installed in the Debian FTP archive:

libtntnet-dev_2.1-2_amd64.deb
  to main/t/tntnet/libtntnet-dev_2.1-2_amd64.deb
libtntnet10_2.1-2_amd64.deb
  to main/t/tntnet/libtntnet10_2.1-2_amd64.deb
tntnet-demos_2.1-2_amd64.deb
  to main/t/tntnet/tntnet-demos_2.1-2_amd64.deb
tntnet-doc_2.1-2_all.deb
  to main/t/tntnet/tntnet-doc_2.1-2_all.deb
tntnet-runtime_2.1-2_amd64.deb
  to main/t/tntnet/tntnet-runtime_2.1-2_amd64.deb
tntnet_2.1-2.debian.tar.gz
  to main/t/tntnet/tntnet_2.1-2.debian.tar.gz
tntnet_2.1-2.dsc
  to main/t/tntnet/tntnet_2.1-2.dsc
tntnet_2.1-2_amd64.deb
  to main/t/tntnet/tntnet_2.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673739@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated tntnet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 26 May 2012 13:04:27 +0300
Source: tntnet
Binary: tntnet tntnet-doc tntnet-demos libtntnet10 libtntnet-dev tntnet-runtime
Architecture: source all amd64
Version: 2.1-2
Distribution: unstable
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 libtntnet-dev - Tntnet library development headers
 libtntnet10 - Tntnet libraries
 tntnet     - modular, multithreaded web application server for C++
 tntnet-demos - demo web applications for Tntnet
 tntnet-doc - documentation for Tntnet
 tntnet-runtime - Tntnet runtime system
Closes: 638662 673739
Changes: 
 tntnet (2.1-2) unstable; urgency=low
 .
   * Fix FTBFS with g++-4.7 on non-amd64 (Closes: #673739)
   * Don't use functions directly from gcrypt needlessly if building with
     gnutls.  (A moot change since we used libssl instead already but hey.)
     (Closes: #638662)
   * Add a variable to /etc/default/tntnet to control whether to check that
     port 80 is available.
Checksums-Sha1: 
 1cbdc0d96787cebf3366514af59f002394d7ad72 1336 tntnet_2.1-2.dsc
 f8fab1670b405a3ca8ff32d8234a43c91b3930f7 46841 tntnet_2.1-2.debian.tar.gz
 59663175fd9af17c4db7288d70afd339c85234b6 1107936 tntnet-doc_2.1-2_all.deb
 b1dbc1c179f18d5c7b93ee34a0a7ff9f94759f52 53592 tntnet_2.1-2_amd64.deb
 56fc8128626491eb17629030846b894bfdb3ac08 294930 tntnet-demos_2.1-2_amd64.deb
 2151d9afa183be4de09cda3c12f6c65aeceeb999 345236 libtntnet10_2.1-2_amd64.deb
 db0a071571578617d143136bb41c95b702a890da 135158 libtntnet-dev_2.1-2_amd64.deb
 eb8e32d7994c1941cdf1ad0f67fafc50dffb210b 40790 tntnet-runtime_2.1-2_amd64.deb
Checksums-Sha256: 
 a55ce449a2576359f8b3fd0c727b58ff9c51c31fe9ad8b2684d1801f87f01c40 1336 tntnet_2.1-2.dsc
 0a8c0346f325d04e5213d23ba2eb5f6af0de64add1dc2d05c22906d5a529d422 46841 tntnet_2.1-2.debian.tar.gz
 fe011e7e2e9fc327eabd1bd6ba8d6e25a634603fb51b3604b24a4c83ab6e2bcd 1107936 tntnet-doc_2.1-2_all.deb
 e90c0f1cd707bf37b3986a4af08f1cf10b3913b660dbcd35ff3eff1cf3f1f5e9 53592 tntnet_2.1-2_amd64.deb
 011f47c27c3867a721bc8116ca0a38c73dcc2300e00b8d34d059e54bcde5f8bd 294930 tntnet-demos_2.1-2_amd64.deb
 fe0d2dd2fb02f7ec06ebda5c7ce759427bab3c51aad496843a407adac024e60b 345236 libtntnet10_2.1-2_amd64.deb
 41ee127074619ee4d25b7a91120fcea74b123fba50d395a7ebd9687cf012e08b 135158 libtntnet-dev_2.1-2_amd64.deb
 3aad912b48262b3e54f17100d1b5c773ecf4d11513f5ae1c599cfbe24be004da 40790 tntnet-runtime_2.1-2_amd64.deb
Files: 
 f820357a8127fd11e85a0af57131511a 1336 web extra tntnet_2.1-2.dsc
 410e0127e40cb878798e5fabaa452c4f 46841 web extra tntnet_2.1-2.debian.tar.gz
 3aa3179b9111433e2b47074006eb78a3 1107936 doc extra tntnet-doc_2.1-2_all.deb
 dba3a8873988f0ce4ab21da0a2a73ecf 53592 web extra tntnet_2.1-2_amd64.deb
 46a3ae8f03f93cb18227b4402404d9a5 294930 doc extra tntnet-demos_2.1-2_amd64.deb
 8df073e19fd38fbe706510fd1acc4fd0 345236 libs extra libtntnet10_2.1-2_amd64.deb
 c03f9f5e7e82dc7348d556373c77a135 135158 libdevel extra libtntnet-dev_2.1-2_amd64.deb
 5c34be31b54dcf2bc82308cae08bda6d 40790 web extra tntnet-runtime_2.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/ArAgACgkQeYl9593Atw0hHgCfZSxX+3vdPZF8VO3LRqKK/KdG
xwsAoLxSxqSKr6t1z5Gqw5MAbBBfGB1Z
=QYLu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2012 07:38:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:28:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.